com.impinj.stp

## Interface StpApi.OperationMetricsOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.OperationMetrics, StpApi.OperationMetrics.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.OperationMetricsOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.InterDeviceCommunicationMetrics` | `getInterDeviceCommunicationMetrics(int index)`
    `int` | `getInterDeviceCommunicationMetricsCount()`
    `java.util.List<StpApi.InterDeviceCommunicationMetrics>` | `getInterDeviceCommunicationMetricsList()`
    `StpApi.InterDeviceCommunicationMetricsOrBuilder` | `getInterDeviceCommunicationMetricsOrBuilder(int index)`
    `java.util.List<? extends StpApi.InterDeviceCommunicationMetricsOrBuilder>` | `getInterDeviceCommunicationMetricsOrBuilderList()`
    `long` | `getRemainingMonzaEncodes()`
    `long` | `getRemainingNonMonzaEncodes()`
    `StpApi.TagMetrics` | `getTagMetrics(int index)`
    `int` | `getTagMetricsCount()`
    `java.util.List<StpApi.TagMetrics>` | `getTagMetricsList()`
    `StpApi.TagMetricsOrBuilder` | `getTagMetricsOrBuilder(int index)`
    `java.util.List<? extends StpApi.TagMetricsOrBuilder>` | `getTagMetricsOrBuilderList()`
    `boolean` | `hasRemainingMonzaEncodes()`
    `boolean` | `hasRemainingNonMonzaEncodes()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasRemainingNonMonzaEncodes

          boolean hasRemainingNonMonzaEncodes()

    - #### getRemainingNonMonzaEncodes

          long getRemainingNonMonzaEncodes()

    - #### getTagMetricsList

          java.util.List<StpApi.TagMetrics> getTagMetricsList()

    - #### getTagMetrics

          StpApi.TagMetrics getTagMetrics(int index)

    - #### getTagMetricsCount

          int getTagMetricsCount()

    - #### getTagMetricsOrBuilderList

          java.util.List<? extends StpApi.TagMetricsOrBuilder> getTagMetricsOrBuilderList()

    - #### getTagMetricsOrBuilder

          StpApi.TagMetricsOrBuilder getTagMetricsOrBuilder(int index)

    - #### getInterDeviceCommunicationMetricsList

          java.util.List<StpApi.InterDeviceCommunicationMetrics> getInterDeviceCommunicationMetricsList()

    - #### getInterDeviceCommunicationMetrics

          StpApi.InterDeviceCommunicationMetrics getInterDeviceCommunicationMetrics(int index)

    - #### getInterDeviceCommunicationMetricsCount

          int getInterDeviceCommunicationMetricsCount()

    - #### getInterDeviceCommunicationMetricsOrBuilderList

          java.util.List<? extends StpApi.InterDeviceCommunicationMetricsOrBuilder> getInterDeviceCommunicationMetricsOrBuilderList()

    - #### getInterDeviceCommunicationMetricsOrBuilder

          StpApi.InterDeviceCommunicationMetricsOrBuilder getInterDeviceCommunicationMetricsOrBuilder(int index)

    - #### hasRemainingMonzaEncodes

          boolean hasRemainingMonzaEncodes()

    - #### getRemainingMonzaEncodes

          long getRemainingMonzaEncodes()